package com.jjt.biz.domain;

import com.jjt.common.annotation.Excel;

/**
 * WIFI信息对象 wifi_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class InfoVO {
    private static final long serialVersionUID = 1L;


    /**
     * 纬度
     */
    @Excel(name = "纬度")
    private String lat;
    /**
     * 经度
     */
    @Excel(name = "经度")
    private String lng;


    /**
     * wifi数量
     */
    private Integer wifi;
    /**
     * wifi数量
     */
    private Integer totalWifi;

    /**
     * 蓝牙数量
     */
    private Integer bluetooth;
    /**
     * 蓝牙数量
     */
    private Integer totalBluetooth;


    public Integer getTotalWifi() {
        return totalWifi;
    }

    public void setTotalWifi(Integer totalWifi) {
        this.totalWifi = totalWifi;
    }

    public Integer getTotalBluetooth() {
        return totalBluetooth;
    }

    public void setTotalBluetooth(Integer totalBluetooth) {
        this.totalBluetooth = totalBluetooth;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public Integer getWifi() {
        return wifi;
    }

    public void setWifi(Integer wifi) {
        this.wifi = wifi;
    }

    public Integer getBluetooth() {
        return bluetooth;
    }

    public void setBluetooth(Integer bluetooth) {
        this.bluetooth = bluetooth;
    }

    @Override
    public String toString() {
        return "InfoVO{" +
                "lat='" + lat + '\'' +
                ", lng='" + lng + '\'' +
                ", wifi=" + wifi +
                ", bluetooth=" + bluetooth +
                '}';
    }
}
