package com.jjt.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 关键字对象 key_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class KeyInfo {
    private static final long serialVersionUID = 1L;

    /**
     * 关键字ID
     */
    private Long keyId;

    /**
     * 关键字
     */
    @Excel(name = "关键字")
    private String keyWords;

    /**
     * 关键字类型
     */
    @Excel(name = "关键字类型")
    private String keyType;

    public void setKeyId(Long keyId) {
        this.keyId = keyId;
    }

    public Long getKeyId() {
        return keyId;
    }

    public void setKeyWords(String keyWords) {
        this.keyWords = keyWords;
    }

    public String getKeyWords() {
        return keyWords;
    }

    public void setKeyType(String keyType) {
        this.keyType = keyType;
    }

    public String getKeyType() {
        return keyType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("keyId", getKeyId())
                .append("keyWords", getKeyWords())
                .append("keyType", getKeyType())
                .toString();
    }
}
