package com.jjt.biz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 蓝牙信息对象 bluetooth_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class BluetoothInfoVO {
    private static final long serialVersionUID = 1L;

    /**
     * 信息ID
     */
    private Long bInfoId;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 场馆ID
     */
    private String venueId;

    /**
     * MAC地址
     */
    private String mac;

    /**
     * 蓝牙名称
     */
    private String name;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 文件地址
     */
    private String filePath;

    private Date time;
    /**
     * 纬度
     */
    private String lat;
    /**
     * 经度
     */
    private String lng;

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public void setbInfoId(Long bInfoId) {
        this.bInfoId = bInfoId;
    }

    public Long getbInfoId() {
        return bInfoId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setVenueId(String venueId) {
        this.venueId = venueId;
    }

    public String getVenueId() {
        return venueId;
    }


    public void setMac(String mac) {
        this.mac = mac;
    }

    public String getMac() {
        return mac;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getTime() {
        return time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("bInfoId", getbInfoId())
                .append("deviceId", getDeviceId())
                .append("venueId", getVenueId())
                .append("mac", getMac())
                .append("name", getName())
                .append("fileName", getFileName())
                .append("time", getTime())
                .toString();
    }
}
