package com.jjt.biz.vo;

import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 场馆基本信息对象 venue_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class VenueInfoVO {
    private static final long serialVersionUID = 1L;

    /**
     * 场馆ID
     */
    private Long venueId;

    /**
     * 场馆名称
     */
    private String venueName;

    /**
     * 场馆区域信息
     */
    private List<VenueAreaVO> area;

    public void setVenueId(Long venueId) {
        this.venueId = venueId;
    }

    public Long getVenueId() {
        return venueId;
    }

    public void setVenueName(String venueName) {
        this.venueName = venueName;
    }

    public String getVenueName() {
        return venueName;
    }


    public List<VenueAreaVO> getArea() {
        return area;
    }

    public void setArea(List<VenueAreaVO> area) {
        this.area = area;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("venueId", getVenueId())
                .append("venueName", getVenueName())
                .toString();
    }
}
