package com.jjt.biz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WIFI信息对象 wifi_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class WifiInfoVO {
    private static final long serialVersionUID = 1L;

    /**
     * 信息ID
     */
    private Long wifiInfoId;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 场馆ID
     */
    private String venueId;

    /**
     * MAC地址
     */
    private String bssid;

    /**
     * WIFI名称
     */
    private String ssid;

    /**
     * 认证页面
     */
    private String authPage;

    private Date time;
    /**
     * 纬度
     */
    private String lat;
    /**
     * 经度
     */
    private String lng;

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public void setWifiInfoId(Long wifiInfoId) {
        this.wifiInfoId = wifiInfoId;
    }

    public Long getWifiInfoId() {
        return wifiInfoId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setVenueId(String venueId) {
        this.venueId = venueId;
    }

    public String getVenueId() {
        return venueId;
    }

    public void setBssid(String bssid) {
        this.bssid = bssid;
    }

    public String getBssid() {
        return bssid;
    }

    public void setSsid(String ssid) {
        this.ssid = ssid;
    }

    public String getSsid() {
        return ssid;
    }

    public void setAuthPage(String authPage) {
        this.authPage = authPage;
    }

    public String getAuthPage() {
        return authPage;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Date getTime() {
        return time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("wifiInfoId", getWifiInfoId())
                .append("deviceId", getDeviceId())
                .append("venueId", getVenueId())
                .append("BSSID", getBssid())
                .append("SSID", getSsid())
                .append("authPage", getAuthPage())
                .append("time", getTime())
                .toString();
    }
}
