import com.jjt.RuoYiApplication;
import com.jjt.common.core.redis.RedisCache;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = RuoYiApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class RedisTest {
    @Resource
    private RedisCache cache;

    @Test
    public void test() {
        List<String> list = new ArrayList<>();
        list.add("1");
        list.add("2");
        list.add("3");
        cache.setCacheList("dingList", list);
        Thread t2 = new Thread(new Runnable() {
            @Override
            public void run() {
                for (int i = 0; i < 100; i++) {
                    cache.redisTemplate.opsForList().leftPush("nls:need_handler", "this " + i);
                }
            }
        });
        Thread t4 = new Thread(new Runnable() {
            @Override
            public void run() {
                for (int i = 1000; i < 2000; i++) {
                    cache.redisTemplate.opsForList().leftPush("nls:need_handler", "this " + i);
                }
            }
        });

        Thread t3 = new Thread(new Runnable() {
            @Override
            public void run() {
                while (cache.redisTemplate.opsForList().size("nls:need_handler") > 0) {
                    String xx = (String) cache.redisTemplate.opsForList().rightPop("nls:need_handler");
                    System.err.println(xx);
                }
            }
        });
        t4.start();
        t2.start();
        t3.start();
    }
}
