package com.jjt.biz.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * WIFI信息对象 wifi_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class RealTimeInfoVO {
    private static final long serialVersionUID = 1L;
    /**
     * 纬度
     */

    private String lat;
    /**
     * 经度
     */
    private String lng;
    /**
     * 类型  WIFI/蓝牙
     */
    private String type;
    /**
     * 正常/恶意
     */
    private String name;

    private String illegal;

    private String keyword;
    private String mac;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIllegal() {
        return illegal;
    }

    public void setIllegal(String illegal) {
        this.illegal = illegal;
    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getMac() {
        return mac;
    }

    public void setMac(String mac) {
        this.mac = mac;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }
}
