package com.jjt.biz.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WIFI信息对象 wifi_info
 *
 * @author ruoyi
 * @date 2023-07-06
 */
public class TopVO{
    private static final long serialVersionUID = 1L;

    public TopVO(String name, Integer wifi, Integer bluetooth) {
        this.name = name;
        this.wifi = wifi;
        this.bluetooth = bluetooth;
    }

    /**
     * 场馆名称
     */
    private String name;

    /**
     * wifi数量
     */
    private Integer wifi;

    /**
     * 蓝牙数量
     */
    private Integer bluetooth;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getWifi() {
        return wifi;
    }

    public void setWifi(Integer wifi) {
        this.wifi = wifi;
    }

    public Integer getBluetooth() {
        return bluetooth;
    }

    public void setBluetooth(Integer bluetooth) {
        this.bluetooth = bluetooth;
    }

    @Override
    public String toString() {
        return "TopVO{" +
                "name='" + name + '\'' +
                ", wifi=" + wifi +
                ", bluetooth=" + bluetooth +
                '}';
    }
}
